/*******************************************************************\

Module: Main Module 

Author: Daniel Kroening, kroening@kroening.com

\*******************************************************************/

/*

  CBMC
  Bounded Model Checking for ANSI-C
  Copyright (C) 2001-2014 Daniel Kroening <kroening@kroening.com>

*/

#include <util/unicode.h>
#include <iostream>

#include "chaincover_parseoptions.h"

/*******************************************************************\

Function: main

  Inputs:

 Outputs:

 Purpose:

\*******************************************************************/

#ifdef _MSC_VER
int wmain(int argc, const wchar_t **argv_wide)
{
  const char **argv=narrow_argv(argc, argv_wide);
  chaincover_parseoptionst parseoptions(argc, argv);
  return parseoptions.main();
}
#else
int main(int argc, const char **argv)
{
  try {
    chaincover_parseoptionst parseoptions(argc, argv);
    return parseoptions.main();
  }
  catch(const char* e) {
    std::cout << "ABORTED: " << e << std::endl;
  }
  catch(std::string e) {
    std::cout << "ABORTED: " << e << std::endl;
  }
}
#endif
