/*******************************************************************\

Module: Non-incremental test case generation

Author: Peter Schrammel

\*******************************************************************/

#ifndef CHAINCOVER_TEST_SAT_NONINCREMENTAL_H
#define CHAINCOVER_TEST_SAT_NONINCREMENTAL_H

#include "test_sat_base.h"


class test_sat_nonincrementalt : public test_sat_baset
{
public:
  test_sat_nonincrementalt(
    const optionst &_options,
    message_handlert &_message_handler):
    test_sat_baset(_options,_message_handler)
  {
  }
  
  virtual void compute(goto_functionst &goto_functions, 
                       symbol_tablet &symbol_table);

};


#endif
