/*******************************************************************\

Module: Test chain generation

Author: Peter Schrammel

\*******************************************************************/

#ifndef CHAINCOVER_CHAIN_H
#define CHAINCOVER_CHAIN_H

#include <util/message.h>
#include "../testvector.h"
#include "chain_template.h"
#include "reach_bmc.h"
#include "graph.h"

class testchaint : public testchain_templatet<bmccontextt,propertyt,testvectort>, public messaget {
 public:
 testchaint(reach_bmct* reach, hampath_solvert* hampath_solver, config_parser_opt_xmlt* config_parser, message_handlert& message_handler) : 
  testchain_templatet<bmccontextt,propertyt,testvectort>(reach,hampath_solver,config_parser),
  messaget(message_handler) {
 }

 protected:
  virtual void debug_msg(std::string msg) { debug(msg); }
  virtual void status_msg(std::string msg) { status(msg); }

};

#endif
