/*******************************************************************\

Module: Test chain generation using SAT solving only

Author: Peter Schrammel

\*******************************************************************/

#ifndef CHAINCOVER_TESTCHAIN_SAT_H
#define CHAINCOVER_TESTCHAIN_SAT_H

#include "../test_base.h"
#include "../config_parser_xml.h"


class testchain_satt : public test_baset 
{
 public:
  testchain_satt(const optionst &_options,
                 message_handlert& _message_handler,
                 config_parser_xmlt *_config_parser) :
  test_baset(_options,_message_handler),config(_config_parser) 
  {
  }

  virtual void compute(goto_functionst &goto_functions,
			       symbol_tablet &symbol_table);
 
 protected:
  config_parser_xmlt *config;
  bool add_chain_constraints(goto_functionst &goto_functions,
			     goal_mapt &goal_map,
			     bmct &bmc);

 

};

#endif
