/*******************************************************************\

Module: Test vector/chain generation

Author: Peter Schrammel

\*******************************************************************/

#ifndef CHAINCOVER_TESTVECTOR_H
#define CHAINCOVER_TESTVECTOR_H

#include <set>
#include <map>
#include <util/irep_ids.h>
#include <util/expr.h>

typedef std::map<exprt,exprt> valuationt;
typedef std::list<valuationt> stepst;
typedef irep_idt propertyt;
typedef std::set<propertyt> propertiest;
typedef unsigned edgeweightt;

class testvectort
{
 public:
  stepst steps;
  propertiest covered;
};

typedef std::list<testvectort> testvectorst;


#endif
