#ifndef ACCELERATE_UTIL_H
#define ACCELERATE_UTIL_H

#include <set>
#include <util/std_types.h>
#include <util/std_expr.h>
#include <goto-programs/goto_program.h>
#include <util/find_symbols.h>

typedef std::set<goto_programt::targett> targetst;

typet join_types(const typet &t1, const typet &t2);
std::set<exprt> find_modified(goto_programt::instructionst &body);

#endif // ACCELERATE_UTIL_H
