
#ifndef __cas_alarm_f_types__
#define __cas_alarm_f_types__

/* Includes */

#include "GATypes.h"


/* Type declarations */

typedef struct {
    INT32 Counter;
} t_Alarm_system_data;

typedef struct {
    BOOL InitSystem_OPEN;
    BOOL VehicleOpen_OPEN;
    BOOL AlarmWillBeArmedAfter20sec_CounterStart_OPEN;
    BOOL AlarmWillBeArmedAfter20sec_CounterPlus_OPEN;
    BOOL AlarmWillBeArmedAfter20sec_CounterEnd_OPEN;
    BOOL AlarmWillBeArmedAfter20sec_OPEN;
    BOOL AlarmOnlyOptical_CounterPlus_OPEN;
    BOOL AlarmOnlyOptical_CounterStart_OPEN;
    BOOL AlarmOnlyOptical_CounterEnd_OPEN;
    BOOL AlarmOnlyOptical_OPEN;
    BOOL AlarmAcousticAndOptical_CounterStart_OPEN;
    BOOL AlarmAcousticAndOptical_CounterPlus_OPEN;
    BOOL AlarmAcousticAndOptical_CounterEnd_OPEN;
    BOOL AlarmAcousticAndOptical_OPEN;
    BOOL AlarmArmed_OPEN;
    BOOL Alarm_system_OPEN;
} t_Alarm_system_state;

typedef struct _t_cas_alarm_f_state {
    t_Alarm_system_data Alarm_system_data;
    t_Alarm_system_state Alarm_system_state;
} t_cas_alarm_f_state;

typedef struct {
    BOOL OpticalAlarm;
    BOOL AlarmSensor;
    BOOL VehLocked;
    BOOL AcousticAlarm;
    BOOL AlarmArmed;
} t_Alarm_system_io;

typedef struct _t_cas_alarm_f_io {
    BOOL In1;
    BOOL In2;
    BOOL Out1;
    BOOL Out2;
    BOOL Out3;
} t_cas_alarm_f_io;



#endif
