#ifndef CHAINCOVER_CONFIG_PARSER_BASE_H
#define CHAINCOVER_CONFIG_PARSER_BASE_H

#include "testvector.h"

class config_parser_baset {
 public:
  config_parser_baset(std::string _filename) : 
   filename(_filename) {}

   virtual ~config_parser_baset() {}

   virtual void parse() = 0;

   virtual void infer(const goto_functionst& goto_functions, 
		      const namespacet &ns) = 0;

  propertyt final;
  propertiest properties;
  unsigned chain_bound;

 protected:
  std::string filename;

};

#endif
