/*******************************************************************\

Module: Clingo interface

Author: Peter Schrammel

\*******************************************************************/

#ifndef CHAINCOVER_CLINGO_PARSER_H
#define CHAINCOVER_CLINGO_PARSER_H

#include <util/parser.h>

int clingo_yyparse();

typedef std::pair<unsigned,unsigned> cycle_pairt;
typedef std::map<unsigned,unsigned> cyclet;

class clingo_parsert:public parsert
{
public:
  virtual bool parse()
  {
    return clingo_yyparse();
  } 

  cyclet* cycle;
  std::istream* _in;
};

extern clingo_parsert clingo_parser;

/* call this function */
bool clingo_parse(std::istream &_in, cyclet* cycle);

#endif
